# Uses of Interface
org.apache.sling.discovery.base.commons.ClusterViewService

Packages that use ClusterViewService
Package
Description
org.apache.sling.discovery.base.commons
Provides some common classes for discovery implementors that choose to extend from discovery.base
org.apache.sling.discovery.base.connectors.ping
Provides topology connector implementations for discovery implementors that choose to extend from discovery.base

## Uses of ClusterViewService in org.apache.sling.discovery.base.commons

Methods in org.apache.sling.discovery.base.commons that return ClusterViewService
Modifier and Type
Method
Description
`protected abstract ClusterViewService`
BaseDiscoveryService.`getClusterViewService()`

## Uses of ClusterViewService in org.apache.sling.discovery.base.connectors.ping

Methods in org.apache.sling.discovery.base.connectors.ping with parameters of type ClusterViewService
Modifier and Type
Method
Description
`TopologyConnectorClientInformation`
ConnectorRegistry.`registerOutgoingConnector(ClusterViewService clusterViewService, URL topologyConnectorEndpoint)`
Register an outgoing topology connector using the provided endpoint url
`TopologyConnectorClientInformation`
ConnectorRegistryImpl.`registerOutgoingConnector(ClusterViewService clusterViewService, URL connectorUrl)`